package com.sunxung.factoring.entity.fundmanagement.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sunxung.factoring.entity.BaseSearch;
import com.sunxung.factoring.entity.sys.Dictionary;

import java.util.Date;
import java.util.List;

/**
 * @Description 客户信息vo类
 * @Author Yafan Wang
 * @Date 2023/2/9 15:16
 */
public class FinancialCustomerVo extends BaseSearch {

    private Long id;
    /**
     * 资方名称
     **/
    private String institutionName;
    /**
     * 客户名称
     **/
    private String customerName;
    /**
     * 状态
     **/
    private Dictionary status;
    /**
     * 权限可查询数据的所有id
     **/
    private List<Long> userIds;
    /**
     * 基础资料信息
     **/
    private List<FinancialBasicFileVo> financialBasicFileVos;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;


    private String userCreate;
    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModified;

    private String userModified;


    public String getInstitutionName() {
        return institutionName;
    }

    public void setInstitutionName(String institutionName) {
        this.institutionName = institutionName;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public Dictionary getStatus() {
        return status;
    }

    public void setStatus(Dictionary status) {
        this.status = status;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<Long> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getUserCreate() {
        return userCreate;
    }

    public void setUserCreate(String userCreate) {
        this.userCreate = userCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getUserModified() {
        return userModified;
    }

    public void setUserModified(String userModified) {
        this.userModified = userModified;
    }

    public List<FinancialBasicFileVo> getFinancialBasicFileVos() {
        return financialBasicFileVos;
    }

    public void setFinancialBasicFileVos(List<FinancialBasicFileVo> financialBasicFileVos) {
        this.financialBasicFileVos = financialBasicFileVos;
    }
}
